.TH CVSFS 4
.SH NAME
cvsfs \- cvs repository viewer
.SH SYNOPSIS
.I cvsfs 
[
.B -Ddabv
] [
.B -s
.I srv
] [
.B -k 
.I keyp
] [
.B -m
.I mntpnt
] [\fB:method:\fR[\fBuser@\fR]]\fBhost:/root module
.SH DESCRIPTION
.I Cvsfs
creates a readonly view of a remote CVS repository module.
Two views are presented onto the repository, one indexed by date - similar to venti(1)'s
dump filesystem, the other indexed by tag name. A special tag directory \fIHEAD\fR
conatins most up-to-date view of the repository. The file \fIChangelog\fR at the
top level contains an auto-generated cannonical history of the changes to the module.
.PP
File metadata is only filled in when the file is first read. A file's owner is the
author of the last change, and its group is the name of the locker of the
file or \fIunlocked\fR if none, the last modifier's ID is the CVS release number.
Empty directories are not stored by CVS and thus are not listed.
.br
The options are:
.TP
.B -v
More verbose chatter, more than two -v flags causes
.I cvsfs
to request and display server version string. (See BUGS below)
.TP
.B -a -b
The same after and before options as documented in mount(1).
.TP
.B -D
9P request debug.
.TP
.B -d
CVS protocol debug.
.TP
.B -m \fI mntpnt
set the mount point for the remote filesystem; 
the default is
.BR /n/cvs .
.TP
.B -k \fI keyparam
lists extra parameters which will be passed to \fIfactotum(4)\fR 
to remove key ambiguity.
.TP
.B -s \fI srvname
set the mount point for the published \fI/srv\fR file
the default is not to publish a \fI/srv\fR file.
.TP
.B method
CVS has allows several methods for attaching to servers,
.I cvsfs
only \fI:ext:\fR and \fI:pserver:\fR are supported. The \fI:ext\fR
method attempts to use ssh(1), cpu(1) rx(1) in that order.
.TP
.B username
the username to attach as.
.TP
.B host
the name of the machine to attach to.
.TP
.B cvsroot
the path to the root of the CVS filesystem on the remote machine.
.TP
.B module
The name of the module on the remote server
.SH BUGS
No support for Kerberos GSSAPI authentication - the \fI:gserver:\fR method.
.PP
All files are read (checked out) on demand. Files not accessed
for 10 mins have their contents flushed. The CVS server rembembers
which files have been checked out and refuses to resend these.
As a result we must disconnect & reconnect on each read→idle→reread
cycle. This is handled by cvsfs but may cause a delay on open(2).
.PP
.I cvsfs
relies on parsing CVS \fBrlog\fR data to build its knowledge of the tree,
This data is designed to be human readable and is thus liable to change between
CVS server versions, though the authors of CVS do endevour not to change it
needlessly.
.PP
More than one \fB-v\fR option causes a CVS \fBver\fR request to be sent. This
can cause some servers (E.G those used by sourceforge) to abort with
the error \fITerminated with fatal signal 11\fR; do not use this
option with such servers.
.PP
.I Cvsfs
has currently (Feb-05) been tested with cvs V1.12.9 and V1.11.1p1.

